/**
 * @license
 * Copyright (c) 2018 The Polymer Project Authors. All rights reserved.
 * This code may only be used under the BSD style license found at
 * http://polymer.github.io/LICENSE.txt
 * The complete set of authors may be found at
 * http://polymer.github.io/AUTHORS.txt
 * The complete set of contributors may be found at
 * http://polymer.github.io/CONTRIBUTORS.txt
 * Code distributed by Google as part of the polymer project is also
 * subject to an additional IP rights grant found at
 * http://polymer.github.io/PATENTS.txt
 */
import * as ReactModule from 'react';
import { UpdatingElement } from './updating-element.js';
export declare type Constructor<T> = {
    new (): T;
};
/**
 *  Creates a React component from a LitElement or UpdatingElement.
 */
export declare const createReactComponent: <T extends UpdatingElement>(React: any, clazz: Constructor<T>, tagName: string) => ReactModule.ComponentClass<T, void>;
//# sourceMappingURL=react.d.ts.map